
TYPO3.Flow - Bug # 26565

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category:
Created: 2011-05-02 Assigned To: Christopher Hlubek
Updated: 2011-05-04 Due date:
PHP Version:
Has patch:
Subject: Wrong doc comment in proxy class breaks ReflectionService->getMethodTagsValues
Description

The method ReflectionService->getMethodTagsValues does a MethodReflection on the given class. But the new proxy mechanism
generates a wrong method doc comment (tag values in one line).

Associated revisions
Revision ddb79073 - 2011-05-04 16:51 - Christopher Hlubek

[BUGFIX] Several AOP bugfixes

This change fixes several small but blocking issues:

- AOP runtime evaluations with Doctrine collections not supported
  (e.g. "in" or "contains" with ArrayCollection)
- Method tagged with pointcut filter does not work (needs a test)
- Method doc comment in generated proxy method is not correctly
  annotated, causes strange behavior with reflection

Resolves: #26565
Change-Id: I1987e582a195e8913b7c80fa26ceeb3bbd0319f6

History
#1 - 2011-05-04 13:32 - Mr. Hudson

Patch set 2 of change I1987e582a195e8913b7c80fa26ceeb3bbd0319f6 has been pushed to the review server.
It is available at http://review.typo3.org/1889

#2 - 2011-05-04 13:33 - Christopher Hlubek
- Status changed from New to Under Review

#3 - 2011-05-04 16:51 - Mr. Hudson

Patch set 3 of change I1987e582a195e8913b7c80fa26ceeb3bbd0319f6 has been pushed to the review server.
It is available at http://review.typo3.org/1889

#4 - 2011-05-04 17:30 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ddb790730939d3f592f8e962fd7e3c25febea106.
